This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 237164 - sometimes "Open Link" shows up as "Open Terminal" instead
sometimes "Open Link" shows up as "Open Terminal" instead
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Behdad Esfahbod
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-19 15:12 EDT by Charles R. Anderson
Modified: 2008-05-06 21:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:31:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Charles R. Anderson 2007-04-19 15:12:18 EDT
Description of problem:

Sometimes, the right-click context menu in the terminal shows "Open Terminal"
instead of "Open Link" when you right-click on a URL in the terminal window.

Version-Release number of selected component (if applicable):
gnome-terminal-2.18.0-1.fc7
vte-0.16.1-1.fc7

How reproducible:
sometimes

Steps to Reproduce:
1. Right click a URL in a terminal window
2. First entry in the context menu is "Open Terminal" instead of "Open Link"
  
Actual results:
Selecting the first context menu item opens a new terminal.

Expected results:
The first context menu item should be "Open Link" and should launch a browser
window or tab with that URL.

Additional info:
This used to work fine.  Somewhere in an FC6 update and also with F7
development, the behavior changed and sometimes the context menu is incorrect.
This is annoying since I end up opening terminals very often now by accident.
Comment 1 Matthias Clasen 2007-04-19 15:41:05 EDT
Can you give some examples of urls that do not work ?
Does the terminal still recognize the urls and underlines them on mouse-over ?
Comment 2 Charles R. Anderson 2007-04-19 20:24:51 EDT
It doesn't matter what the URL is--all URLs are recognized as such, and they are
underlined on a mouse-over.  It is just that the right-click menu doesn't change
for some reason.  Perhaps, but I haven't checked this, the right-click is
happening at a different cursor location than the mouse-over?  Did the box of
pixels that are recognized as the mouse-over get smaller and it is just me
accidentally not clicking inside that box?  Something definately changed...
Comment 3 Matthias Clasen 2007-04-20 14:25:25 EDT
What I notice is that url are not recognized anymore once they were scrolled off.
scrolling back up and mousing over does not underline them.
Comment 4 Charles R. Anderson 2007-04-20 14:40:49 EDT
That's a separate bug then, because 90% of the URLs I click on are in emails in
Mutt, and I cannot scroll the terminal running my Mutt session.

I think that maybe the focus area got smaller.  If I move the I-beam cursor up
one pixel at a time, the top of the I-beam overlaps the bottom of the text for 4
pixels before the underline is activated on the 5th.  Moving up to lines 5-10
keeps the text underlined, and then on the 11th line up the underline goes away.
 At this point the bottom of the I-beam cursor is just about in the middle of
the text line.
Comment 5 Bug Zapper 2008-04-03 20:11:00 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 6 Bug Zapper 2008-05-06 21:31:38 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.